Package org.apache.ignite.spi.systemview.view

## Class ServiceView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ServiceView

-     public class ServiceView
      extends Object

  Service representation for a `SystemView`.
  See Also:
    `ServiceDescriptor`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceView​(org.apache.ignite.internal.processors.service.ServiceInfo serviceInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `affinityKey()` |
    `String` | `cacheName()` |
    `int` | `maxPerNodeCount()` |
    `String` | `name()` |
    `Class<?>` | `nodeFilter()` |
    `UUID` | `originNodeId()` |
    `Class<?>` | `serviceClass()` |
    `IgniteUuid` | `serviceId()` |
    `boolean` | `staticallyConfigured()` |
    `Map<UUID,​Integer>` | `topologySnapshot()` |
    `int` | `totalCount()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceView

          public ServiceView​(org.apache.ignite.internal.processors.service.ServiceInfo serviceInfo)

      Parameters:
        `serviceInfo` - Service descriptor.

  - ### Method Detail

    - #### name

          public String name()

      Returns:
        Service name.

    - #### serviceId

          public IgniteUuid serviceId()

      Returns:
        Service id.

    - #### serviceClass

          public Class<?> serviceClass()

      Returns:
        Service class.

    - #### totalCount

          public int totalCount()

      Returns:
        Total count of service instances.

    - #### maxPerNodeCount

          public int maxPerNodeCount()

      Returns:
        Maximum instance count per node.

    - #### cacheName

          public String cacheName()

      Returns:
        Cache name.

    - #### affinityKey

          public String affinityKey()

      Returns:
        Affininty key value.

    - #### nodeFilter

          public Class<?> nodeFilter()

      Returns:
        Node filter.

    - #### staticallyConfigured

          public boolean staticallyConfigured()

      Returns:
        `True` if statically configured.

    - #### originNodeId

          public UUID originNodeId()

      Returns:
        Origin node id.

    - #### topologySnapshot

          public Map<UUID,​Integer> topologySnapshot()

      Returns:
        Map of number of service instances per node ID.